apiVersion: v1
kind: Service
metadata:
  name: ipfs-cluster-headless
  labels:
    app: ipfs-cluster
spec:
  clusterIP: None
  ports:
    - name: swarm
      targetPort: swarm
      port: 4001
    - name: swarm-udp
      targetPort: swarm-udp
      port: 4002
    - name: cluster-swarm
      targetPort: cluster-swarm
      port: 9096
  selector:
    app: ipfs-cluster